mod app;
pub use app::App;

use ::anyhow::Result;
use ::vulkanalia::prelude::v1_0::*;
use ::winit::window::Window;

pub const VALIDATION_ENABLED: bool = cfg!(debug_assertions);
pub const VALIDATION_LAYER: vk::ExtensionName =
    vk::ExtensionName::from_bytes(b"VK_LAYER_KHRONOS_validation");

pub fn create_app(window: &Window) -> Result<App> {
    Ok(unsafe { App::create(&window)? })
}
